# Class JitsiApi

#### Hierarchy (View Summary)

- JBaseApi
  - JitsiApi

- Defined in jamespot-user-api/src/apis/jitsi/jitsi.ts:4

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

resolveUrl

## Constructors

### constructor

- new JitsiApi(jApi: JamespotUserApi): JitsiApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JitsiApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### resolveUrl

- resolveUrl(
  __namedParameters: { id: string },
  signal?: AbortSignal,
  ): Promise<ApiWrapper<string, BaseMessages>>

  #### Parameters

  - __namedParameters: { id: string }
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<string, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/jitsi/jitsi.ts:5